Subject: Re: bug#36156: [PATCH] Make toolbar show keyboard equivalents in its tooltips

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Jun 2019 23:28:50 +0200

Eli Zaretskii <[email-masked]> writes:
> This is going to start a bikeshedding, but I'm not sure I like the
> [FOO] format.  It's different from what we use in menus, for example.

FWIW, I tried both with brackets and parentheses and concluded
that the former is more readable, especially in cases where we
also use parentheses in the tooltip string.

Also, I'm not sure how important consistency with menus are here,
since the parentheses are not shown on my GTK Emacs -- the key
binding is displayed to the right.  On macOS, the key binding is
indeed shown in parentheses (but it would be better, IMO, if it
was also here displayed to the right with no parentheses).  Not
sure what happens in other toolkits.

That said, I'm fine either way.  I have attached a patch which
uses parentheses instead of brackets.  Please feel free too
install whichever version you prefer more.

And do it quick before anyone has time to start bikeshedding... ;)

Thanks,
Stefan Kangas